//
//  WebServicesWrapper.m
//  Drupal XML-RPC Demo
//
//  Created by Justin R. Miller on 4/4/07.
//  Copyright 2007 Code Sorcery Workshop. All rights reserved.
//

#import "WebServicesWrapper.h"

@implementation WebServicesWrapper

- (NSDictionary *)resultsForRequestWithURL:(NSURL *)url 
                                    method:(NSString *)method
                                parameters:(NSDictionary *)params 
                            parameterOrder:(NSArray *)paramOrder
{
	WSMethodInvocationRef request = WSMethodInvocationCreate((CFURLRef)url,
                                                             (CFStringRef)method,
                                                             kWSXMLRPCProtocol);
	
	WSMethodInvocationSetParameters(request, (CFDictionaryRef)params, (CFArrayRef)paramOrder);    
	
    WSMethodInvocationSetProperty(request, kWSHTTPFollowsRedirects, kCFBooleanTrue);
	WSMethodInvocationSetProperty(request, kWSDebugIncomingBody,	kCFBooleanTrue);
	WSMethodInvocationSetProperty(request, kWSDebugIncomingHeaders, kCFBooleanTrue);
	WSMethodInvocationSetProperty(request, kWSDebugOutgoingBody,	kCFBooleanTrue);
	WSMethodInvocationSetProperty(request, kWSDebugOutgoingHeaders, kCFBooleanTrue);
	
    return (NSDictionary *)WSMethodInvocationInvoke(request);
}

@end